class CreatePCustomerRibs < ActiveRecord::Migration[6.0]
  def change
    create_table :p_customer_ribs do |t|
      t.integer :nbr_use
      t.string :iban
      t.string :bic
      t.string :bank
      t.string :num_compte
      t.string :intitule
      t.string :address1
      t.string :cp
      t.string :city
      t.string :country
      t.string :rum
      t.boolean :import, :default => false
      t.boolean :archived, :default => false
      t.integer :price_document_id
      t.integer :p_mandat_id
      
      t.date :sign_date
      t.boolean :pres_sepa, :default => false
      t.references :p_customer, index: true, foreign_key: true

      t.timestamps null: false
    end
  end
end
